Bug 159789 - ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol: g_return_if_fail_warning
ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol: g_return_if_fail_w...
Product: Fedora
Classification: Fedora
Component: libglade2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2005-06-07 19:44 EDT by Pepe Parra
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 15:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pepe Parra 2005-06-07 19:44:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ca-AD; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After starting system-config-network it hangs, even when you choose it from the menu, when it hangs after loging in as root in the window popup, or if you run it from command line

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.choose system configuration -> net from the menu
2.login as root
3.program crashes, a window eporting so appears

Actual Results:  a windows appears reporting an unhandled exception, "probably a bug" as it says

Expected Results:  It should appear te window to configure the net interfaces

Additional info:

Component: system-config-network
Version: 1.3.22
Summary: TB8867138a system-config-network-gui:140:main:ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol: g_return_if_fail_warning
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 140, in main
    import gtk.glade
ImportError: /usr/lib/libglade-2.0.so.0: undefined symbol: g_return_if_fail_warning

Local variables in innermost frame:
splash_window: None
splash: 0
NC_functions: <module 'netconfpkg.NC_functions' from '/usr/share/system-config-network/netconfpkg/NC_functions.pyc'>
gnome: <module 'gnome' from '/usr/lib/python2.3/site-packages/gtk-2.0/gnome/__init__.pyc'>
Comment 1 Matthew Miller 2006-07-10 18:10:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.